Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.spatial
Class CellGeometry

    Object
      CodeList<CellGeometry>
          CellGeometry

All Implemented Interfaces:
  Serializable, Comparable<CellGeometry>

    @UML(identifier="MD_CellGeometryCode",
         specification=ISO_19115)
    public final class CellGeometry

extends CodeList<CellGeometry>

Code indicating whether grid data is point or area.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static CellGeometry` | `AREA` Each cell represents an area.
`static CellGeometry` | `POINT` Each cell represents a point.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static CellGeometry` | `valueOf(String code)` Returns the CellGeometry that matches the given string, or returns a new one if none match it.
`static CellGeometry[]` | `values()` Returns the list of `CellGeometry`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### POINT

    @UML(identifier="point",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CellGeometry POINT

  Each cell represents a point.

### AREA

    @UML(identifier="area",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CellGeometry AREA

  Each cell represents an area.

Method Detail

### values

    public static CellGeometry[] values()

  Returns the list of `CellGeometry`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<CellGeometry>`

### valueOf

    public static CellGeometry valueOf(String code)

  Returns the CellGeometry that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.